Package fr.gouv.vitam.common.model.unit

# Class RuleModel

java.lang.Object
fr.gouv.vitam.common.model.unit.RuleModel

public class RuleModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `END_DATE`
  `static final String`
  `HOLD_END_DATE`
  `static final String`
  `HOLD_OWNER`
  `static final String`
  `HOLD_REASON`
  `static final String`
  `HOLD_REASSESSING_DATE`
  `static final String`
  `PREVENT_REARRANGEMENT`
  `static final String`
  `RULE`
  `static final String`
  `START_DATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleModel()`
  `RuleModel(String rule, String startDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEndDate()`
  `String`
  `getHoldEndDate()`
  `String`
  `getHoldOwner()`
  `String`
  `getHoldReason()`
  `String`
  `getHoldReassessingDate()`
  `Boolean`
  `getPreventRearrangement()`
  `String`
  `getRule()`
  `Map<String,Object>`
  `getRuleAttributes()`
  `String`
  `getStartDate()`
  `void`
  `setEndDate(String endDate)`
  `RuleModel`
  `setHoldEndDate(String holdEndDate)`
  `RuleModel`
  `setHoldOwner(String holdOwner)`
  `RuleModel`
  `setHoldReason(String holdReason)`
  `RuleModel`
  `setHoldReassessingDate(String holdReassessingDate)`
  `RuleModel`
  `setPreventRearrangement(Boolean preventRearrangement)`
  `void`
  `setRule(String rule)`
  `void`
  `setStartDate(String startDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RULE

    public static final String RULE
    See Also:
      - Constant Field Values

  - ### START_DATE

    public static final String START_DATE
    See Also:
      - Constant Field Values

  - ### END_DATE

    public static final String END_DATE
    See Also:
      - Constant Field Values

  - ### HOLD_END_DATE

    public static final String HOLD_END_DATE
    See Also:
      - Constant Field Values

  - ### HOLD_OWNER

    public static final String HOLD_OWNER
    See Also:
      - Constant Field Values

  - ### HOLD_REASON

    public static final String HOLD_REASON
    See Also:
      - Constant Field Values

  - ### HOLD_REASSESSING_DATE

    public static final String HOLD_REASSESSING_DATE
    See Also:
      - Constant Field Values

  - ### PREVENT_REARRANGEMENT

    public static final String PREVENT_REARRANGEMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RuleModel

    public RuleModel()

  - ### RuleModel

    public RuleModel(String rule, String startDate)

- ## Method Details

  - ### getRule

    public String getRule()

  - ### setRule

    public void setRule(String rule)

  - ### getStartDate

    public String getStartDate()

  - ### setStartDate

    public void setStartDate(String startDate)

  - ### getEndDate

    public String getEndDate()

  - ### setEndDate

    public void setEndDate(String endDate)

  - ### getHoldEndDate

    public String getHoldEndDate()

  - ### setHoldEndDate

    public RuleModel setHoldEndDate(String holdEndDate)

  - ### getHoldOwner

    public String getHoldOwner()

  - ### setHoldOwner

    public RuleModel setHoldOwner(String holdOwner)

  - ### getHoldReason

    public String getHoldReason()

  - ### setHoldReason

    public RuleModel setHoldReason(String holdReason)

  - ### getHoldReassessingDate

    public String getHoldReassessingDate()

  - ### setHoldReassessingDate

    public RuleModel setHoldReassessingDate(String holdReassessingDate)

  - ### getPreventRearrangement

    public Boolean getPreventRearrangement()

  - ### setPreventRearrangement

    public RuleModel setPreventRearrangement(Boolean preventRearrangement)

  - ### getRuleAttributes

    public Map<String,Object> getRuleAttributes()